unit PropertyEditors;

interface

uses dsgnintf, dialogs;

type
    TFileNameString = type String;
    TFileNameStringProperty = class(TStringProperty)
    public
        procedure Edit; override;
        function GetAttributes : TPropertyAttributes; override;
    end;

implementation




procedure TFileNameStringProperty.Edit;
var OD: TOpenDialog;
begin
     OD := TOpenDialog.Create(nil);
     try
        with OD do begin
             Filter :='Text files|*.txt';
             DefaultExt := '*.txt';
             FileName := GetStrValue;
             if Execute then
                SetStrValue(FileName);
        end;
     finally
        OD.Free;
     end;
end;

function TFileNameStringProperty.GetAttributes: TPropertyAttributes;
begin
     Result := [paDialog];
end;

end.
